Bug 102527 - building lilo srpm fails
Summary: building lilo srpm fails
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: lilo (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-16 16:21 UTC by alex kramarov
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-20 23:12:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description alex kramarov 2003-08-16 16:21:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.1.4322)

Description of problem:
while running rpmbuild --rebuild lilo-21.4.4-22.src.rpm on taroon with latest 
updates from rhn you get

In file included from geometry.c:28:
md-int.h:290:8: warning: extra tokens at end of #endif directive
cc -c -O2 -Wall -g `( if [ -r $ROOT/etc/lilo.defines ]; then cat 
$ROOT/etc/lilo.defines; else echo -DIGNORECASE -DVARSETUP -DREWRITE_TABLE -
DLARGE_EBDA -DONE_SHOT; fi ) | sed 's/-D/-DLCF_/g'` `[ -
r /usr/include/asm/boot.h ] && echo -DHAS_BOOT_H` boot.c
boot.c: In function `boot_image':
boot.c:66: `PAGE_SIZE' undeclared (first use in this function)
boot.c:66: (Each undeclared identifier is reported only once
boot.c:66: for each function it appears in.)
boot.c: In function `boot_other':
boot.c:202: warning: suggest explicit braces to avoid ambiguous `else'
make: *** [boot.o] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.25437 (%build)

same build works fine on RH 7.3

Version-Release number of selected component (if applicable):
lilo-21.4.4-22.src.rpm

How reproducible:
Always

Steps to Reproduce:
1.get yourself a taroon system 
2.rpmbuild --rebuild lilo-21.4.4-22.src.rpm
3.see the error
    

Actual Results:  build failed

Expected Results:  build should succeed

Additional info:

Comment 1 Jeremy Katz 2003-08-20 23:12:00 UTC
Fixed


Note You need to log in before you can comment on or make changes to this bug.